Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Functions | Variables
basic_iterator.hpp File Reference

## Classes
struct | ranges::basic_iterator< Cur >
struct | ranges::basic_mixin< T >
struct | ranges::get_cursor_fn
| Get a cursor from a basic_iterator. More...
struct | std::iterator_traits<::ranges::basic_iterator< Cur > >

## Functions
template<typename Cur , typename Cur2 >
constexpr bool | ranges::operator!= (basic_iterator< Cur > const &left, basic_iterator< Cur2 > const &right)
template<typename Cur , typename S >
constexpr bool | ranges::operator!= (basic_iterator< Cur > const &left, S const &right)
template<typename S , typename Cur >
constexpr bool | ranges::operator!= (S const &left, basic_iterator< Cur > const &right)
template<typename Cur >
constexpr basic_iterator< Cur > | ranges::operator+ (basic_iterator< Cur > left, typename basic_iterator< Cur >::difference_type n)
template<typename Cur >
constexpr basic_iterator< Cur > | ranges::operator+ (typename basic_iterator< Cur >::difference_type n, basic_iterator< Cur > right)
template<typename Cur , typename S >
constexpr basic_iterator< Cur >::difference_type | ranges::operator- (basic_iterator< Cur > const &left, S const &right)
template<typename Cur >
constexpr basic_iterator< Cur > | ranges::operator- (basic_iterator< Cur > left, typename basic_iterator< Cur >::difference_type n)
template<typename Cur2 , typename Cur >
constexpr basic_iterator< Cur >::difference_type | ranges::operator- (basic_iterator< Cur2 > const &left, basic_iterator< Cur > const &right)
template<typename S , typename Cur >
constexpr basic_iterator< Cur >::difference_type | ranges::operator- (S const &left, basic_iterator< Cur > const &right)
template<typename Left , typename Right >
constexpr bool | ranges::operator< (basic_iterator< Left > const &left, basic_iterator< Right > const &right)
template<typename Left , typename Right >
constexpr bool | ranges::operator<= (basic_iterator< Left > const &left, basic_iterator< Right > const &right)
template<typename Cur , typename Cur2 >
constexpr bool | ranges::operator== (basic_iterator< Cur > const &left, basic_iterator< Cur2 > const &right)
template<typename Cur , typename S >
constexpr bool | ranges::operator== (basic_iterator< Cur > const &left, S const &right)
template<typename S , typename Cur >
constexpr bool | ranges::operator== (S const &left, basic_iterator< Cur > const &right)
template<typename Left , typename Right >
constexpr bool | ranges::operator> (basic_iterator< Left > const &left, basic_iterator< Right > const &right)
template<typename Left , typename Right >
constexpr bool | ranges::operator>= (basic_iterator< Left > const &left, basic_iterator< Right > const &right)

## Variables
constexpr get_cursor_fn | ranges::get_cursor {}